.news-banner{
    position: relative;
    height: 480px;

}

.news-banner-bg {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('../images/banner_news.png') center/cover no-repeat;
}

.news-banner-inner {
    display: flex;
    align-items: flex-start;
    justify-content:center;
    flex-direction: column;
    height: 100%;
    z-index: 2;
}

.news-banner-inner h1 {
    font-weight: 500;
    font-size: 32px;
    line-height:1.5;
    color: #fff;
    width: 100%;
}

.newslist-container {
    background: #0078C8;
    padding:80px 0;
}

.newslist-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 36px;
}
.newslist-card{
    margin-bottom: 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.newslist-card img {
    width: 100%;
    height: 260px;
    object-fit: cover;
    display: block;
}

.newslist-card p {
    color: #fff;
    padding:24px 0 0;
    margin-bottom: 24px;
    font-weight: 400;
    font-size: 20px;
    line-height:1.5;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;

}

.newslist-card .link {
    max-width: 130px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    padding: 10px 10px 10px 30px;
    border: 1px solid #fff;
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    line-height: 21px;
}

.newslist-card .link svg {
    width: 18px;
    height: 18px;
}

@media (max-width: 992px) {
    .newslist-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .news-banner{
        height: 240px;
    }
    .news-banner-inner h1 {
        font-size: 28px;
        text-align: center;
    }

    .newslist-container{
        padding: 60px 0;
    }
    .newslist-grid {
        grid-template-columns: 1fr;
        gap: 16px;
    }
    .newslist-card{
        margin-bottom: 24px;
    }
    .newslist-card img {
        height: 240px;
    }
    .newslist-card p {
        font-size: 16px;
        line-height: 24px;
        font-weight: 400;
        padding: 24px 0 0;
        margin-bottom: 16px;
    }

}




.pagination {
    max-width: 1200px;
    margin: 32px auto 0;
    display: flex;
    justify-content: center;
    gap: 8px;
}

.pagination a {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 36px;
    height: 36px;
    border: 1px solid rgba(255, 255, 255, 0.5);
    color: #fff;
    font-size: 14px;
    text-align: center;
    cursor: pointer;
    transition: all 0.3s;
}

.pagination a:hover,
.pagination a.active {
    border-color: #fff;
    color: #fff;
}

.pagination a svg {
    width: 18px;
    height: 18px;
    opacity: 1;
}




.newsdetail-container {
    background: #0E7BC3;
    padding: 30px 0 48px;
}

.newsdetail-grid{
    display:flex;
    align-items:stretch;
    gap: 32px;
    color: #FFFFFF;
}

@media (max-width: 768px) {
    .newsdetail-grid {
        flex-direction: column;
    }
    .newsdetail-sidebar{
        display: none;
    }

    .newsdetail-container {
        padding:24px 0 60px;
    }
}

.back-link {
    font-weight: 500;
    font-size: 14px;
    line-height: 1;
    margin-bottom: 24px;
    display:flex;
    align-items: center;
}

.back-link:hover {
    text-decoration: underline;
}

.back-link svg {
    width: 16px;
    height: 16px;
}
.newsdetail-main{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.newsdetail-main .news-content{
    flex: 1;
}
.emptytip{
    padding: 50px 0;
    text-align: center;
    font-size: 20px;
    color: rgba(255,255,255,0.7);
}
.newsdetail-main img {
    width: 100%;
    height: auto;
    margin-bottom: 24px;
}

.newsdetail-main h1 {
    font-weight: 500;
    font-size: 28px;
    line-height:1.5;
    margin-bottom: 24px;
}

.newsdetail-context p {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    margin-bottom:20px;
}

.newsdetail-sidebar {
    width: 274px;
    flex-shrink: 0;
}

.sidebar-title {
    font-weight: 500;
    font-size: 14px;
    line-height:1;
    margin-bottom: 24px;
}

.sidebar-news {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.sidebar-news-item {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.sidebar-news-item img {
    width: 100%;
    height: 204px;
    object-fit: cover;
}

.sidebar-news-item p {
    font-weight: 400 ;
    font-size: 14px;
    line-height:1.5;
}

.news-navigation {
    display: flex;
    justify-content: space-between;
    margin-top: 30px;
}

.nav-link {
    font-size: 14px;
    display: inline-flex;
    align-items: center;
    gap: 8px;
}

.nav-link:hover {
    text-decoration: underline;
}

.nav-link svg {
    width: 16px;
    height: 16px;
}



@media (max-width: 768px) {
    .newsdetail-main h1 {
        font-size: 16px;
        line-height:1.5;
        margin-bottom: 16px;
    }

    .news-navigation {
        flex-direction: row;
        justify-content: space-between;
        gap: 16px;
        flex-wrap: nowrap;
    }

}
